// 002 u_02_commandhandler_client_9
// 20 mar 2010

// -- (C) John COLIBRI 2010
// -- documentation: http://www.jcolibri.com

(*$r+*)
unit u_02_commandhandler_client_9;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, IdAntiFreezeBase, IdAntiFreeze, IdBaseComponent,
  IdComponent, IdTCPConnection, IdTCPClient;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    exit_: TButton;
    clear_: TButton;
    Splitter1: TSplitter;
    Memo1: TMemo;
    IdTCPClient1: TIdTCPClient;
    IdAntiFreeze1: TIdAntiFreeze;
    send_A_receive_aaa: TButton;
    procedure send_A_receive_aaaClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure close_Click(Sender: TObject);
    procedure clear_Click(Sender: TObject);
  private
  public
  end;

    var Form1: TForm1;

  implementation
    uses  u_c_log, u_c_display
        ;

    {$R *.DFM}

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
        Top:= 300;
        Left:= 100;
        Width:= 500;
      end; // FormCreate

    procedure TForm1.close_Click(Sender: TObject);
      begin
        Close;
      end; // close_Click

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        clear_display;
      end; // clear_Click

    procedure TForm1.send_A_receive_aaaClick(Sender: TObject);
      var l_response: String;
      begin
        with IdTcpClient1 do
        begin
          Port:= 5678;
          display('=Connect');
          Connect;

          try
            // -- write to the server
            display('=WriteLn');
            WriteLn('A');

            display('=Readln');
            l_response:= ReadLn;
            display(l_response);
          finally
            display('=Disconnect');
            Disconnect;
          end; // try ... finally
        end; // with IdTcpClient1
      end; // get_date_Click

    end.


