// 002 u_02_commandhandler_server_9
// 20 mar 2010

// -- (C) John COLIBRI 2010
// -- documentation: http://www.jcolibri.com

(*$r+*)
unit u_02_commandhandler_server_9;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, IdBaseComponent, IdComponent, IdTCPServer;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    exit_: TButton;
    clear_: TButton;
    Splitter1: TSplitter;
    Memo1: TMemo;
    start_: TButton;
    IdTCPServer1: TIdTCPServer;
    procedure IdTCPServer1BeforeCommandHandler(ASender: TIdTCPServer;
      const AData: string; AThread: TIdPeerThread);
    procedure IdTCPServer1Connect(AThread: TIdPeerThread);
    procedure start_Click(Sender: TObject);
    procedure IdTCPServer1TIdCommandHandler0Command(ASender: TIdCommand);
    procedure FormCreate(Sender: TObject);
    procedure close_Click(Sender: TObject);
    procedure clear_Click(Sender: TObject);
  private
  public
  end;

    var Form1: TForm1;

  implementation
    uses  u_c_log, u_c_display
        ;

    {$R *.DFM}

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
        Top:= 100;
        Left:= 200;
        Height:= 190;
        Width:= 500;
      end; // FormCreate

    procedure TForm1.close_Click(Sender: TObject);
      begin
        Close;
      end; // close_Click

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        clear_display;
      end; // clear_Click

    procedure TForm1.start_Click(Sender: TObject);
      begin
        display('start');
        IdTCPServer1.DefaultPort:= 5678;
        IdTCPServer1.Active:= True;
      end; // start_Click

    procedure TForm1.IdTCPServer1Connect(AThread: TIdPeerThread);
      begin
        display_line;
        display('client_did_connect');
      end;

    procedure TForm1.IdTCPServer1BeforeCommandHandler(ASender: TIdTCPServer;
        const AData: string; AThread: TIdPeerThread);
      begin
        display('before_command_handler '+ aData+ '<');
      end;

    procedure TForm1.IdTCPServer1TIdCommandHandler0Command(ASender: TIdCommand);
        // -- vnement de rception de la commande A
      begin
        display('> commandhandler ');
        ASender.Thread.Connection.WriteLn('aaa');
        display('< commandhandler');
      end; // IdTCPServer1TIdCommandHandler0Command

    end.


